Subject: Re: bug#61667: 29.0.60; Failure to redisplay

From: Dmitry Gutov <[email-masked]>
Date: Sun, 26 Feb 2023 03:36:57 +0200

On 26/02/2023 03:02, Gregory Heytings wrote:
> 
>>> I think it's now clear that there is a bug in GNOME.  The main 
>>> difference between running fullscreen and non-fullscreen in this 
>>> context is that the compositor is bypassed.  This is mainly for 
>>> (fullscreen) games, who have direct access to the screen, which is 
>>> more performant.
>>
>> Again, when reproduction depends on Emacs changing the title bar, 
>> running it in a mode without the title bar might not be the best way 
>> to verify something.
>>
> 
> Hmmm... but you said (to Eli) that the title bar in fact was not an 
> essential element of the recipe?  Or did I misunderstand something?

The title bar that has the buffer name in it (and thus has to be updated 
when a buffer is visited), is necessary to reproduce the problem.

I just said that an unchanging title bar does not bar me from being able 
to note the lack of the problem (because I originally described the 
problem as a delay between the title bar update and the frame refresh).

>>> If you manage to create a MRE without your full config, you could 
>>> file a bug report and point to that difference between fullscreen and 
>>> non-fullscreen behavior.
>>
>> My MRE uses '-Q', I've posted it here recently (23/02/2023, 18:46).
>>
> 
> I mean: an MRE to reproduce the multi-second delay, which makes the bug 
> apparent even without a title bar.

The delay is multi-second only with my personal config, correct, but I 
haven't been able to reproduce the problem with unchanging title bar, or 
without a title bar.

>> You said you couldn't reproduce it, though. Different version of 
>> GNOME, perhaps?
>>
> 
> No, I don't use GNOME, what I meant it that I could not reproduce it on 
> any of the other window managers that are installed on my computer. 
> Sorry if that was unclear.

I see, thank you.

For anybody else who might want to try with GNOME, though, my installed 
version is 43.1 (one that comes with the latest Ubuntu release).